| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CS::ShaderVarName Struct Reference

Helper class to obtain an ID for a shader variable. More...

`#include <csgfx/shadervar.h>`

List of all members.

## Public Member Functions
| operator csStringID () const
| ShaderVarName (iStringSet *strings, const char *name)
| ShaderVarName ()
## Public Attributes
csStringID | name

## Detailed Description

Helper class to obtain an ID for a shader variable.

Definition at line 463 of file shadervar.h.

The documentation for this struct was generated from the following file:

- csgfx/shadervar.h